/*
 * Copyright 2005-2008 by beck et al. projects GmbH, Munich
 * Copyright 2009 by Kappich Systemberatung, Aachen
 * 
 * This file is part of de.bsvrz.pua.prot.
 * 
 * de.bsvrz.pua.prot is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * de.bsvrz.pua.prot is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with de.bsvrz.pua.prot.  If not, see <http://www.gnu.org/licenses/>.
 */

package de.bsvrz.pua.prot.processing;

/**
 * Enthält Fehlermeldungen für das processing Package
 *
 * @author beck et al. projects GmbH
 * @author Martin Hilgers
 * @version $Revision$ / $Date$ / ($Author$)
 */
public class ProcessingErrorMessage {

	public static final String ARCHIVE_REQUEST_FAILED = "Fehler bei der Archivanfrage: ";

	public static final String TOO_MANY_STREAMS = "Zu viele Ergebnisdatenströme vom Archivsystem: ";

	public static final String ARCHIVE_REQUEST_ABORTED = "Archivanfrage wurde bereits abgebrochen: ";

	public static final String ARCHIVE_COMMUNICATION = "Fehler bei Kommunikation mit dem Archiv: ";

	public static final String INVALID_RESULT_TYPE = "Fehlerhafter Ergebnistyp. Erwartet: ";

	public static final String NO_DATA_KIND_SPECIFIED = "Es wurde in den Anfrageparametern keine Datenart spezifiziert";

	public static final String THREAD_STILL_RUNNING = "Ein Thread konnte nicht beendet werden: ";

	public static final String INVALID_PERIOD_DURATION = "Dauer eines Zeitintervalls ist 0: ";

	public static final String ABORT_PROTOCOL = "Der Versand von Protokolldatensätzen wurde abgebrochen";

	public static final String ABORT_NO_SAVE = "Protokolldatensatz kann nicht gesendet werden. Das Protokoll wird nicht gespeichert. Daher wird die Protokollerstellung abgebrochen.";
}
